Index: lib/matplotlib/art3d.py
===================================================================
--- lib/matplotlib/art3d.py	(revision 3193)
+++ lib/matplotlib/art3d.py	(working copy)
@@ -369,7 +369,7 @@
     """Modify the alphas of the color list according to depth"""
     colors = get_colors(colors,len(zs))
     norm = Normalize(min(zs),max(zs))
-    sats = nx.array([1-norm(z)*0.7 for z in zs])
+    sats = 1 - norm(zs)*0.7 
     colors = [(c[0],c[1],c[2],c[3]*s) for c,s in zip(colors,sats)]
     return colors
 
Index: lib/matplotlib/patches.py
===================================================================
--- lib/matplotlib/patches.py	(revision 3193)
+++ lib/matplotlib/patches.py	(working copy)
@@ -480,7 +480,7 @@
 
 
     def get_verts(self):
-        xs, ys = zip(*self.xy)
+        xs, ys = zip(*self.xy)[:2]
         xs = self.convert_xunits(xs)
         ys = self.convert_yunits(ys)
         return zip(xs, ys)
